package depart.commun.modeles;

import java.util.ArrayList;
import java.util.List;

import ca.ntro.app.models.Model;
import ca.ntro.app.models.WriteObjectGraph;
import depart.commun.valeurs.ValeurA;
import depart.frontal.vues.VueA;

public class ModeleA implements Model, WriteObjectGraph {

	private boolean attrA = false;
	private double  attrB = 10.0;

	private List<ValeurA> valeurs = new ArrayList<>();

	public void methodeC(VueA vueA) {
		
		vueA.methodD(attrB);

		vueA.methodeE();
		for(ValeurA valeur : valeurs) {
			vueA.methodeF(valeur);
		}
	}

	public void methodeA(String paramA, int paramB) {

		valeurs.add(new ValeurA(paramA, paramB));
	}

}
